org.eclipse.actf.util.dom

## Class TreeWalkerImpl

- java.lang.Object
- - org.eclipse.actf.util.dom.TreeWalkerImpl

All Implemented Interfaces:
  org.w3c.dom.traversal.TreeWalker

    public class TreeWalkerImpl
    extends Object
    implements org.w3c.dom.traversal.TreeWalker

Implementation class of TreeWalker.

### Constructor Summary

Constructors
Constructor and Description
`TreeWalkerImpl(Node root, int whatToShow, org.w3c.dom.traversal.NodeFilter filter, boolean entityReferenceExpansion)`

### Method Summary

Methods
`Node` `firstChild()`
`Node` `getCurrentNode()`
`boolean` `getExpandEntityReferences()`
`org.w3c.dom.traversal.NodeFilter` `getFilter()`
`Node` `getRoot()`
`int` `getWhatToShow()`
`Node` `lastChild()`
`Node` `nextNode()`
`Node` `nextSibling()`
`Node` `parentNode()`
`Node` `previousNode()`
`Node` `previousSibling()`
`void` `setCurrentNode(Node arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TreeWalkerImpl

    public TreeWalkerImpl(Node root,
                  int whatToShow,
                  org.w3c.dom.traversal.NodeFilter filter,
                  boolean entityReferenceExpansion)
                   throws DOMException

Parameters:
  `root` -
  `whatToShow` - the attribute determines which types of node are presented via the TreeWalker. The values are defined in the NodeFilter interface.
  `filter` - the filter used to screen nodes
  `entityReferenceExpansion` - the flag to determine whether the children of entity reference nodes are visible to TreeWalker.
Throws:
  `DOMException`

### Method Detail

#### firstChild

    public Node firstChild()

Specified by:
  `firstChild` in interface `org.w3c.dom.traversal.TreeWalker`

#### getCurrentNode

    public Node getCurrentNode()

Specified by:
  `getCurrentNode` in interface `org.w3c.dom.traversal.TreeWalker`

#### getExpandEntityReferences

    public boolean getExpandEntityReferences()

Specified by:
  `getExpandEntityReferences` in interface `org.w3c.dom.traversal.TreeWalker`

#### getFilter

    public org.w3c.dom.traversal.NodeFilter getFilter()

Specified by:
  `getFilter` in interface `org.w3c.dom.traversal.TreeWalker`

#### getRoot

    public Node getRoot()

Specified by:
  `getRoot` in interface `org.w3c.dom.traversal.TreeWalker`

#### getWhatToShow

    public int getWhatToShow()

Specified by:
  `getWhatToShow` in interface `org.w3c.dom.traversal.TreeWalker`

#### lastChild

    public Node lastChild()

Specified by:
  `lastChild` in interface `org.w3c.dom.traversal.TreeWalker`

#### nextNode

    public Node nextNode()

Specified by:
  `nextNode` in interface `org.w3c.dom.traversal.TreeWalker`

#### nextSibling

    public Node nextSibling()

Specified by:
  `nextSibling` in interface `org.w3c.dom.traversal.TreeWalker`

#### parentNode

    public Node parentNode()

Specified by:
  `parentNode` in interface `org.w3c.dom.traversal.TreeWalker`

#### previousNode

    public Node previousNode()

Specified by:
  `previousNode` in interface `org.w3c.dom.traversal.TreeWalker`

#### previousSibling

    public Node previousSibling()

Specified by:
  `previousSibling` in interface `org.w3c.dom.traversal.TreeWalker`

#### setCurrentNode

    public void setCurrentNode(Node arg0)
                        throws DOMException

Specified by:
  `setCurrentNode` in interface `org.w3c.dom.traversal.TreeWalker`
Throws:
  `DOMException`